Crystal Space: iSprite2DUVAnimationFrame Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSprite2DUVAnimationFrame Struct Reference
[Mesh plugins]

This is a single frame in a UV animation. More...

`#include <imesh/sprite2d.h>`

Inheritance diagram for iSprite2DUVAnimationFrame:

[legend]
List of all members.

## Public Member Functions
virtual int | GetDuration ()=0
| Return the duration of this frame.
virtual const char * | GetName () const =0
| Return the name of this frame.
virtual const csVector2 * | GetUVCoo ()=0
| Get all u,v coordinates.
virtual csVector2 & | GetUVCoo (int idx)=0
| Get the u,v coordinates of the idx'th vertex.
virtual int | GetUVCount ()=0
| Get the number of (u,v) coordinates.
virtual void | RemoveUV (int idx)=0
| Remove the idx'th coordinate.
virtual void | SetDuration (int duration)=0
| Set the duration of this frame.
virtual void | SetFrameData (const char *name, int duration, int num, float *uv)=0
| Set all (u,v) coordinates and the name and duration.
virtual void | SetName (const char *name)=0
| Give this frame a name.
virtual void | SetUV (int idx, float u, float v)=0
| Set the (u,v) coordinate of idx'th coordinate.

## Detailed Description

This is a single frame in a UV animation.

So its not much more than a set of (u.v) coordinates and a duration time.

Definition at line 60 of file sprite2d.h.

## Member Function Documentation

virtual int iSprite2DUVAnimationFrame::GetDuration | ( |  | ) | `[pure virtual]`

Return the duration of this frame.

virtual const char* iSprite2DUVAnimationFrame::GetName | ( |  | ) | const`[pure virtual]`

Return the name of this frame.

virtual const csVector2* iSprite2DUVAnimationFrame::GetUVCoo | ( |  | ) | `[pure virtual]`

Get all u,v coordinates.

virtual csVector2& iSprite2DUVAnimationFrame::GetUVCoo | ( | int | idx | ) | `[pure virtual]`

Get the u,v coordinates of the idx'th vertex.

virtual int iSprite2DUVAnimationFrame::GetUVCount | ( |  | ) | `[pure virtual]`

Get the number of (u,v) coordinates.

virtual void iSprite2DUVAnimationFrame::RemoveUV | ( | int | idx | ) | `[pure virtual]`

Remove the idx'th coordinate.

virtual void iSprite2DUVAnimationFrame::SetDuration | ( | int | duration | ) | `[pure virtual]`

Set the duration of this frame.

virtual void iSprite2DUVAnimationFrame::SetFrameData | ( | const char * | name,
|  | int | duration,
|  | int | num,
|  | float * | uv |
| ) |  |  | `[pure virtual]`

Set all (u,v) coordinates and the name and duration.

virtual void iSprite2DUVAnimationFrame::SetName | ( | const char * | name | ) | `[pure virtual]`

Give this frame a name.

virtual void iSprite2DUVAnimationFrame::SetUV | ( | int | idx,
|  | float | u,
|  | float | v |
| ) |  |  | `[pure virtual]`

Set the (u,v) coordinate of idx'th coordinate.

Set idx to -1 to append it.

The documentation for this struct was generated from the following file:

- imesh/sprite2d.h